// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-x7129】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-ii-pad-linux
// | @文件描述: handleIpcChannel.js -
// | @创建时间: 2024-11-05 13:02
// | @更新时间: 2024-11-05 13:02
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------

import {toGetServerHost} from "./toRenderMessage.js";
import {connectServer} from "../searchServer/connectServer.js";



// 渲染器渲染成功
export function handleIpcChannel_Started(msg){
    global.windowLoaded = true;
    return;
}

// 重新扫描指定服务器地址
export async function handleIpcChannel_init_newServerHost(msg, win) {
    try{
        const serverHost = await connectServer(msg.data.host)
        return toGetServerHost(win, {
            status: 0,
            serverHost
        });
    }catch (error) {
        return toGetServerHost(win, {
            status: -1,
            msg: '链接服务器失败!'
        });
    }
}

// 存储服务器地址到本地配置数据库
export async function handleIpcChannel_init_saveServerHost(msg){

}
