// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-nie】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-ii-pad-linux
// | @文件描述: init.service.js -
// | @创建时间: 2024-11-26 14:26
// | @更新时间: 2024-11-26 14:26
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------

// InitService
import {setServerHost} from "../../db/sql/systemConfig.js";
import {getSystemConfig} from "../../task_02_connectDB.js";
import {connectServer} from "../../searchServer/connectServer.js";

export default {
    setServerHost: async (ipcInvock) => {
        await setServerHost(ipcInvock)
        await getSystemConfig()
    },
    checkServerHost: async (ipcInvock) => {
        const serverHost = await connectServer(ipcInvock.data.host)
        return serverHost
    }
}
