// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-x7129】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-II-pad
// | @文件描述: testServer.js -
// | @创建时间: 2024-10-30 10:15
// | @更新时间: 2024-10-30 10:15
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------

import * as dgram from "node:dgram";

const udpServer = dgram.createSocket('udp4');
udpServer.on('error', (err) => {
    console.log(`服务器出错: ${err}`);
    udpServer.close();
});

udpServer.on('message', (msg, rinfo) => {
    console.log(`服务器收到消息: ${msg} 来自 ${rinfo.address}:${rinfo.port}`);
    if('checkAddress' == msg){
        let i = 0;
        const sendAddressInterval = setInterval(() => {
            i++;
            udpServer.send('serverAddress', rinfo.port, rinfo.address
            )
            if(i == 4){
                clearInterval(sendAddressInterval);
            }
        }, 500)
    }
});

udpServer.on('listening', () => {
    const address = udpServer.address();
    console.log(`服务器正在监听 ${address.address}:${address.port}`);
});

udpServer.bind(38600); // 绑定端口9999
