// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-nie】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-ii-pad-linux
// | @文件描述: task_00_initializationRender.js - 必要的渲染器设置
// | @创建时间: 2024-11-12 10:02
// | @更新时间: 2024-11-12 10:02
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------
import * as machineId  from 'node-machine-id';
export function initializationRender(win){
    if(global.isDev){
        /**
         * 开发模式
         * */
        // 打开开发者工具
        win.webContents.openDevTools();
    }else{
        /**
         * 生产模式
         * */
        // 全屏
        win.setFullScreen(true);
    }


    // 测试向渲染器进程发送的活动推送消息。
    win.webContents.on('did-finish-load', () => {
    })

    win.on('ready-to-show', () => {
        win.show()
        global.windowLoaded = true;
        global.windowShowTime = new Date().getTime();
        console.log('启动耗时: ', windowShowTime - startTime, 'ms');
    })

    // 获取设备ID
    // console.log(machineId.default)
    machineId.default.machineId().then(
        res => {
            console.log('设备ID', res)
        }
    )
}
