// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-nie】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-ii-pad-linux
// | @文件描述: device.js -
// | @创建时间: 2024-11-13 17:01
// | @更新时间: 2024-11-13 17:01
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------
import request from "@/api/request.js";

export default {
    // 获取公司名称集合
    //   GET http://10.10.10.200:8080/jiaSheng/factory/getCompanyNameSet
    //   接口ID：225762766
    //   接口地址：https://app.apifox.com/link/project/2515915/apis/api-225762766
    // * 获取公司名称集合
    getCompanyNameSet: params => request({
        url: `/jiaSheng/factory/getCompanyNameSet`,
        method: 'get',
        params
    }),


    //     分页-工厂
    //   POST http://10.10.10.200:8080/jiaSheng/factory/pageFactory
    //   接口ID：225847024
    //   接口地址：https://app.apifox.com/link/project/2515915/apis/api-225847024
    // * 获取工厂信息
    getFactory: data => request({
        url: `/jiaSheng/factory/pageFactory`,
        method: 'post',
        data
    }),

    // 分页-车间
    //   POST http://10.10.10.200:8080/jiaSheng/workshop/pageWorkshop
    //   接口ID：226776125
    //   接口地址：https://app.apifox.com/link/project/2515915/apis/api-226776125
    // * 获取车间信息
    getWorkshop: data => request({
        url: `/jiaSheng/workshop/pageWorkshop`,
        method: 'post',
        data
    }),

    // 分页-生产线
    //   POST http://10.10.10.200:8080/jiaSheng/workline/pageWorkline
    //   接口ID：227277470
    //   接口地址：https://app.apifox.com/link/project/2515915/apis/api-227277470
    // * 获取生产线信息
    getWorkline: data => request({
        url: `/jiaSheng/workline/pageWorkline`,
        method: 'post',
        data
    }),

    // 分页-工控机
    //   POST http://10.10.10.200:8080/jiaSheng/ipc/pageIpc
    //   接口ID：227408517
    //   接口地址：https://app.apifox.com/link/project/2515915/apis/api-227408517
    // * 获取工控机信息
    getIpc: data => request({
        url: `/jiaSheng/ipc/pageIpc`,
        method: 'post',
        data
    }),
}
