// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-nie】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-ii-pad-linux
// | @文件描述: request.js -
// | @创建时间: 2024-11-13 17:00
// | @更新时间: 2024-11-13 17:00
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------

import axios from "axios";

/* axios默认配置*/
const instance = axios.create({
    timeout: 10000,
    baseURL: "/api", // 服务器请求地址
});

instance.interceptors.response.use(async response => {
    return  response.data;
}, err => {
    return Promise.reject(err.response);
})


export default instance;
