// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-nie】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-ii-pad-linux
// | @文件描述: device.js -
// | @创建时间: 2024-11-26 10:53
// | @更新时间: 2024-11-26 10:53
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------
import DeviceService from "./service/device.service.js";

export default async function (ipcInvock){
    switch (ipcInvock.path) {
        // 将设备绑定信息写入本地
        case '/device/setDeviceBinding':{
            return DeviceService.setDeviceBinding(ipcInvock)
        }
        default: {
            return {
                code: 404,
                message: `ipc invoke not found path: ${ipcInvoke.path}`,
                data: {}
            }
        }
    }
}
