// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-nie】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-ii-pad-linux
// | @文件描述: index.js -
// | @创建时间: 2024-11-26 10:54
// | @更新时间: 2024-11-26 10:54
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------

import deviceRoute from "./device.route.js";
import initRoute from "./init.route.js";

export default function (ipcInvoke) {
    console.log(`渲染器发送的请求: ${ipcInvoke.path}`, ipcInvoke.data);
    switch (ipcInvoke.path.split('/')?.[1]) {
        case 'init': {
            return initRoute(ipcInvoke);
        }
        case 'device': {
            return deviceRoute(ipcInvoke);
        }
        default: {
            return {
                code: 404,
                message: `ipc invoke not found path: ${ipcInvoke.path}`,
                data: {}
            }
        }
    }
}
