// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-nie】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-ii-pad-linux
// | @文件描述: init.route.js -
// | @创建时间: 2024-11-26 14:25
// | @更新时间: 2024-11-26 14:25
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------
import InitService from './service/init.service.js'

export default async function (ipcInvock) {
    switch (ipcInvock.path) {
        // 将服务器地址信息写入本地
        case '/init/setServerHost': {
            return InitService.setServerHost(ipcInvock)
        }
        // 探测手动输入的服务器地址
        case '/init/sendNewServerHost':{
            return InitService.checkServerHost(ipcInvock)
        }
        default: {
            return {
                code: 404,
                message: `ipc invoke not found path: ${ipcInvoke.path}`,
                data: {}
            }
        }
    }
}
