// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-nie】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-ii-pad-linux
// | @文件描述: task_02_checkServerHost.js -
// | @创建时间: 2024-11-12 10:24
// | @更新时间: 2024-11-12 10:24
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------

import {connectServer} from "./searchServer/connectServer.js";
import {toGetServerHost} from "./methods/toRenderMessage.js";
import {sleep} from "../tools/sleep.js";

export async function checkServerHost(win) {
    let serverHost = global.SystemConfig.ServerHost || "10.10.10.10"
    let message;
    try{
        message = {
            status: 0,
            serverHost: await connectServer(serverHost),
        }
    }catch (e) {
        message = {
            status: -1,
            serverHost: e
        }
    }
    for(let i = 0; i< 20; i++){
        if(global.windowLoaded){
            toGetServerHost(win, message);
            break
        }
        await sleep(1000);
    }
}
