// | ------------------------------------------------------------
// | @版本: version 0.1
// | @创建人: 【Nie-nie】
// | @E-mail: x71291@outlook.com
// | @所在项目: js-ii-pad-linux
// | @文件描述: task_04_getDeviceBinding.js -
// | @创建时间: 2024-11-18 10:52
// | @更新时间: 2024-11-18 10:52
// | @修改记录:
// | -*-*-*-  (时间--修改人--修改说明)  -*-*-*-
// | =
// | ------------------------------------------------------------

import {toGetDeviceBindingInfo} from "./methods/toRenderMessage.js";

export async function getDeviceBinding(win) {
    // 读取设备绑定信息
    if(global.SystemConfig.DeviceBinding === undefined){
        toGetDeviceBindingInfo(win, {
            status: -1,
            deviceBinding: undefined
        })
    }else{
        toGetDeviceBindingInfo(win, {
            status: 0,
            deviceBinding: global.SystemConfig.DeviceBinding
        })
    }
}
